## NAME

g.access - Controls access to the current mapset for other users on the system.

## KEYWORDS

general, map management

## SYNOPSIS

g.access
g.access help
g.access [group=string] [other=string] [--verbose] [--quiet]

### Parameters:

group=string
  Access for group
  Options: grant,revoke
other=string
  Access for others
  Options: grant,revoke

## DESCRIPTION

This program allows the user to control access to the current mapset. Normally, any user can read data from any GRASS mapset. But sometimes it is desirable to prohibit access to certain sensitive data. The g.access command allows a user to restrict read and execute access to the current mapset (see UNIX chmod command). g.access will not modify write access to the current mapset.

The user may, for example, allow only users in the same UNIX group to read data files in the mapset, or restrict the mapset to personal use only.

## NOTES

Under GRASS, access to the mapset PERMANENT must be open to all users. This is because GRASS looks for the user's default geographic region definition settings and the location TITLE in files that are stored under the PERMANENT mapset directory. The g.access command, therefore, will not allow you to restrict access to the PERMANENT mapset.

The g.mapsets command isn't smart enough to tell if access to a specified mapset is restricted, and the user is therefore allowed to include the names of restricted mapsets in his search path. However, the data in a restricted mapset is still protected; any attempts to look for or use data in a restricted mapset will fail. The user will simply not see any data listed for a restricted mapset.

## SEE ALSO

UNIX manual entries for chmod and group
g.mapsets

## AUTHOR

Michael Shapiro, U.S. Army Construction Engineering Research Laboratory

Last changed: $Date: 2011-11-08 12:29:50 +0100 (út, 08 XI 2011) $

Main index - general index - Full index

© 2003-2014 GRASS Development Team